namespace RobotNet.Script.Shares.Dashboard;

public class DashboardDto
{
    public string TimeUpdate { get; set; } = DateTime.Now.ToString("dd/MM/yyy HH:mm:ss");
    public DailyMissionDto DailyMission { get; set; } = new ();
    public DailyPerformanceDto TodayPerformance { get; set; } = new();
    public DailyPerformanceDto ThisWeekPerformance { get; set; } = new();
    public TaktTimeMissionDto[] TaktTimeMissions { get; set; } = [];
    public DailyPerformanceDto[] TotalMissionPerformance { get; set; } = [];
}
